Subject: Re: SCCx UART status on 8xx

From: Dan Malek <[email-masked]>
Date: Mon, 20 Feb 2006 15:43:51 -0500

On Feb 20, 2006, at 3:15 PM, Wolfgang Denk wrote:

> All UARTS (up to 2 x SMC + 4 x SCC, depending on CPU  model)  can  be
> used with our tree, including hardware handshake.

Except that you have to be careful about BRG allocation.  At most,
the 8xx will have 4 BRGs, some only have 2.  There have been various
implementations to work with this, some forced the BRGs to be
multiply mapped (where more than one UART had to run at the same rate)
while others silently returned errors and the UARTs were non-functional
although appeared for use.

Thanks.

	-- Dan